Skip to content

Get Access Keys by User

API Description

Use this API to retrieve the access key ID and secret key associated with a specified user account.

API URL

GET Http://{anymetrics_host:anymetrics_port}/anymetrics/api/v1/user/getAkByAccount

For how to obtain anymetrics_host:anymetrics_port, see Calling APIs.

Request Parameters

Common Request Parameters (HEADERS)

Parameter Type Required Description
tenant-id String Yes Tenant ID, which identifies the tenant that owns the resource.

How to Obtain Common Parameters

To obtain tenant-id, select Metric Application from the top navigation bar in Aloudata CAN, then select API Integration from the left menu. The tenant ID is displayed on the API Integration page.

Request Parameters

Parameter Type Required Max Length Description
account String Yes 50 Current username.

Response Parameters

Parameter Type Required Description
data Map Yes Returned accessKey and accessSecret.
success boolean Yes Whether the request succeeded.
code String Yes Response code.
errorMsg String Yes Error message.
detailErrorMsg String Yes Detailed error message.
traceId String Yes Trace ID for troubleshooting.

data

Parameter Type Required Description
accessKey String Yes App ID.
accessSecret String Yes Access secret.

Request Example

http://127.0.0.1/anymetrics/api/v1/user/getAkByAccount?account=account

Response Example

{
    "data": {
        "accessKey": "03b34c53d4864da0995ecbcdbcf9ca65",
        "accessSecret": "8K7BLJm0ZmzxtU7vfqF1ts5EO30WJMNQ"
    },
    "success": true,
    "code": "200",
    "errorMsg": null,
    "detailErrorMsg": null,
    "traceId": "2bc7df9f294144deab6535e0b2a9b546.153.17234641726811689"
}